ConnectorFactory (ActiveMQ Artemis Web 1.1.0.wildfly-010 API)
Date: 2015-12-18

org.apache.activemq.artemis.spi.core.remoting

## Interface ConnectorFactory

- All Superinterfaces:
    TransportConfigurationHelper

      public interface ConnectorFactory
      extends TransportConfigurationHelper

  A ConnectorFactory is used by the client for creating connectors.

  A Connector is used to connect to an org.apache.activemq.artemis.spi.core.remoting.Acceptor.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Connector` | `createConnector(Map<String,Object> configuration, BufferHandler handler, ConnectionLifeCycleListener listener, Executor closeExecutor, Executor threadPool, ScheduledExecutorService scheduledThreadPool, ClientProtocolManager protocolManager)` creates a new instance of a connector.
    `boolean` | `isReliable()` Indicates if connectors from this factory are reliable or not.

    - ### Methods inherited from interface org.apache.activemq.artemis.api.core.TransportConfigurationHelper

      `getDefaults`

- - ### Method Detail

    - #### createConnector

          Connector createConnector(Map<String,Object> configuration,
                                    BufferHandler handler,
                                    ConnectionLifeCycleListener listener,
                                    Executor closeExecutor,
                                    Executor threadPool,
                                    ScheduledExecutorService scheduledThreadPool,
                                    ClientProtocolManager protocolManager)

      creates a new instance of a connector.
      Parameters:
        `configuration` - the configuration
        `handler` - the handler
        `listener` - the listener
        `closeExecutor` - the close executor
        `threadPool` - the thread pool
        `scheduledThreadPool` - the scheduled thread pool
      Returns:
        a new connector

    - #### isReliable

          boolean isReliable()

      Indicates if connectors from this factory are reliable or not. If a connector is reliable then connection monitoring (i.e. pings/pongs) will be disabled.
      Returns:
        whether or not connectors from this factory are reliable

Copyright © 2015. All rights reserved.